[arch-commits] Commit in nftables/repos (6 files)

Christian Hesse eworm at gemini.archlinux.org
Wed Aug 10 07:39:20 UTC 2022


    Date: Wednesday, August 10, 2022 @ 07:39:19
  Author: eworm
Revision: 452506

archrelease: copy trunk to testing-x86_64

Added:
  nftables/repos/testing-x86_64/
  nftables/repos/testing-x86_64/PKGBUILD
    (from rev 452505, nftables/trunk/PKGBUILD)
  nftables/repos/testing-x86_64/keys/
  nftables/repos/testing-x86_64/nftables.conf
    (from rev 452505, nftables/trunk/nftables.conf)
  nftables/repos/testing-x86_64/nftables.install
    (from rev 452505, nftables/trunk/nftables.install)
  nftables/repos/testing-x86_64/nftables.service
    (from rev 452505, nftables/trunk/nftables.service)

------------------+
 PKGBUILD         |   62 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 nftables.conf    |   27 +++++++++++++++++++++++
 nftables.install |   10 ++++++++
 nftables.service |   12 ++++++++++
 4 files changed, 111 insertions(+)

Copied: nftables/repos/testing-x86_64/PKGBUILD (from rev 452505, nftables/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2022-08-10 07:39:19 UTC (rev 452506)
@@ -0,0 +1,62 @@
+# Maintainer: Sébastien "Seblu" Luttringer <seblu at archlinux.org>
+
+pkgname=nftables
+epoch=1
+pkgver=1.0.5
+pkgrel=1
+pkgdesc='Netfilter tables userspace tools'
+arch=('x86_64')
+url='https://netfilter.org/projects/nftables/'
+license=('GPL2')
+depends=('libmnl' 'libnftnl' 'gmp' 'readline' 'ncurses' 'jansson')
+optdepends=('python: Python bindings')
+makedepends=('asciidoc' 'python')
+backup=('etc/nftables.conf')
+validpgpkeys=('37D964ACC04981C75500FB9BD55D978A8A1420E4') # Netfilter Core Team
+source=("https://netfilter.org/projects/nftables/files/nftables-$pkgver.tar.bz2"{,.sig}
+        'nftables.conf'
+        'nftables.service')
+install=nftables.install
+sha256sums=('8d1b4b18393af43698d10baa25d2b9b6397969beecac7816c35dd0714e4de50a'
+            'SKIP'
+            '2aff88019097d21dbfa4713f5b54c184751c86376e458b683f8d90f3abd232a8'
+            'deffeef36fe658867dd9203ec13dec85047a6d224ea63334dcf60db97e1809ea')
+
+prepare() {
+  cd $pkgname-$pkgver
+  # apply patch from the source array (should be a pacman feature)
+  local src
+  for src in "${source[@]}"; do
+    src="${src%%::*}"
+    src="${src##*/}"
+    [[ $src = *.patch ]] || continue
+    msg2 "Applying patch $src..."
+    patch -Np1 < "../$src"
+  done
+  :
+}
+
+build() {
+  cd $pkgname-$pkgver
+  autoreconf -fi #FIXME: To remove with 01.patch
+  ./configure \
+    --prefix=/usr \
+    --sbindir=/usr/bin \
+    --sysconfdir=/usr/share \
+    --with-json \
+    --with-cli=readline \
+    --disable-debug
+  make
+}
+
+package() {
+  pushd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+  popd
+  # basic safe firewall config
+  install -Dm644 nftables.conf "$pkgdir/etc/nftables.conf"
+  # systemd
+  install -Dm644 nftables.service "$pkgdir/usr/lib/systemd/system/nftables.service"
+}
+
+# vim:set ts=2 sw=2 et:

Copied: nftables/repos/testing-x86_64/nftables.conf (from rev 452505, nftables/trunk/nftables.conf)
===================================================================
--- testing-x86_64/nftables.conf	                        (rev 0)
+++ testing-x86_64/nftables.conf	2022-08-10 07:39:19 UTC (rev 452506)
@@ -0,0 +1,27 @@
+#!/usr/bin/nft -f
+# vim:set ts=2 sw=2 et:
+
+# IPv4/IPv6 Simple & Safe firewall ruleset.
+# More examples in /usr/share/nftables/ and /usr/share/doc/nftables/examples/.
+
+table inet filter
+delete table inet filter
+table inet filter {
+  chain input {
+    type filter hook input priority filter
+    policy drop
+
+    ct state invalid drop comment "early drop of invalid connections"
+    ct state {established, related} accept comment "allow tracked connections"
+    iifname lo accept comment "allow from loopback"
+    ip protocol icmp accept comment "allow icmp"
+    meta l4proto ipv6-icmp accept comment "allow icmp v6"
+    tcp dport ssh accept comment "allow sshd"
+    pkttype host limit rate 5/second counter reject with icmpx type admin-prohibited
+    counter
+  }
+  chain forward {
+    type filter hook forward priority filter
+    policy drop
+  }
+}

Copied: nftables/repos/testing-x86_64/nftables.install (from rev 452505, nftables/trunk/nftables.install)
===================================================================
--- testing-x86_64/nftables.install	                        (rev 0)
+++ testing-x86_64/nftables.install	2022-08-10 07:39:19 UTC (rev 452506)
@@ -0,0 +1,10 @@
+## arg 1:  the new package version
+## arg 2:  the old package version
+post_upgrade() {
+  (( $(vercmp "$2" '1:0.9.9-1') > 0 )) || cat <<EOF
+==> Stopping/restarting the nftables service does NOT flush the ruleset anymore.
+==> The nftables.conf file requires a delete/flush directive to be restarted.
+==> See examples in /usr/share/nftables/ and /usr/share/doc/nftables/examples.
+==> The nftables service reload has been removed as it is now equivalent to a restart.
+EOF
+}

Copied: nftables/repos/testing-x86_64/nftables.service (from rev 452505, nftables/trunk/nftables.service)
===================================================================
--- testing-x86_64/nftables.service	                        (rev 0)
+++ testing-x86_64/nftables.service	2022-08-10 07:39:19 UTC (rev 452506)
@@ -0,0 +1,12 @@
+[Unit]
+Description=Netfilter Tables
+Documentation=man:nft(8)
+Wants=network-pre.target
+Before=network-pre.target
+
+[Service]
+Type=oneshot
+ExecStart=/usr/bin/nft -f /etc/nftables.conf
+
+[Install]
+WantedBy=multi-user.target



More information about the arch-commits mailing list